View Issue Details

IDProjectCategoryView StatusLast Update
0004042SymmetricDS ProNew Featurepublic2019-11-15 09:03
Reporterjosh-a-hicks Assigned Tojosh-a-hicks  
Prioritynormal 
Status closedResolutionfixed 
Product Version3.11.0 
Target Version3.11.0Fixed in Version3.11.0 
Summary0004042: Support for setting up log based, trigger based, extract only, or load only nodes
DescriptionIn the add node wizard there will be the option to select a variety of node setups.

Trigger based capture - traditional SymmetricDS source node setup

Log based capture - extract only node will be setup so that no runtime tables are put in source and log mining will be used to capture database changes

Load only - a target node without any runtime tables in place. Only used to load data into this node

Extract only - a source node without any runtime tables in place. Can be used for initial loads only or in combination with log based.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.11 8c719b79

2019-07-17 15:03:31

josh-a-hicks

Details Diff
0004042: Support for setting up log based, trigger based, extract only,
or load only nodes
Affected Issues
0004042
mod - symmetric-android/src/main/java/org/jumpmind/symmetric/android/AndroidSymmetricEngine.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/service/impl/DataServiceTest.java Diff File

SymmetricDS: 3.11 5b6c42a5

2019-07-19 11:03:27

josh-a-hicks

Details Diff
0004042: Support for setting up log based, trigger based, extract only,
or load only nodes
Affected Issues
0004042
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File

Issue History

Date Modified Username Field Change
2019-07-12 09:06 josh-a-hicks New Issue
2019-07-12 09:06 josh-a-hicks Status new => assigned
2019-07-12 09:06 josh-a-hicks Assigned To => josh-a-hicks
2019-09-27 17:00 josh-a-hicks Changeset attached => SymmetricDS 3.11 5b6c42a5
2019-09-27 17:00 josh-a-hicks Changeset attached => SymmetricDS 3.11 8c719b79
2019-11-12 10:34 elong Status assigned => resolved
2019-11-12 10:34 elong Resolution open => fixed
2019-11-12 10:34 elong Fixed in Version => 3.11.0
2019-11-15 09:03 admin Status resolved => closed